settingsLogin | Registersettings

[openstack-announce] [new][ironic] python-ironic-inspector-client 1.8.0 release (newton)

0 votes

We are pumped to announce the release of:

python-ironic-inspector-client 1.8.0: Python client for Ironic
Inspector

This release is part of the newton release series.

With source available at:

http://git.openstack.org/cgit/openstack/python-ironic-inspector-

client

With package available at:

https://pypi.python.org/pypi/python-ironic-inspector-client

Please report issues through launchpad:

http://bugs.launchpad.net/python-ironic-inspector-client

For more details, please see below.

1.8.0
^^^^^

Upgrade Notes


  • osc-lib is a package of common support modules for writing OSC
    plugins. So use osc-lib instead of OpenStackClient.

  • command openstack baremetal introspection rule import prints
    created rules to stdout.

Other Notes


  • Bumped supported API version to 1.6.

Changes in python-ironic-inspector-client 1.7.0..1.8.0


2f2045e Updated from global requirements
b04bcd4 Print rule import results
3ca1495 Updated from global requirements
c25d73e Use osc-lib instead of openstackclient
709669f Updated from global requirements
35c461e Updated from global requirements
444253b Switch to keystoneauth
d38bfe1 Bump max api version to 1.6
34c8608 Updated from global requirements
25835f6 Updated from global requirements
3d965a6 Updated from global requirements
c50d023 Updated from global requirements
33383f8 Updated from global requirements

Diffstat (except docs and test files)


README.rst | 2 +-
ironicinspectorclient/client.py | 4 ++--
ironicinspectorclient/common/http.py | 6 +++---
ironicinspectorclient/shell.py | 12 +++++++++---
ironicinspectorclient/test/testclient.py | 2 +-
ironic
inspectorclient/test/testcommonhttp.py | 4 ++--
ironic
inspectorclient/test/testshell.py | 18 +++++++++++++++---
ironicinspectorclient/test/testv1.py | 2 +-
ironic
inspector_client/v1.py | 2 +-
releasenotes/notes/api-1.6-a020f6ee5756a7ab.yaml | 3 +++
releasenotes/notes/osc-lib-162db03fed2bc40c.yaml | 4 ++++
.../print-import-rule-result-b5c19e9b8679849e.yaml | 4 ++++
requirements.txt | 7 ++++---
test-requirements.txt | 8 ++++----
14 files changed, 54 insertions(+), 24 deletions(-)

Requirements updates


diff --git a/requirements.txt b/requirements.txt
index d788654..9bda024 100644
--- a/requirements.txt
+++ b/requirements.txt
@@ -4,0 +5,2 @@ cliff!=1.16.0,!=1.17.0,>=1.15.0 # Apache-2.0
+keystoneauth1>=2.7.0 # Apache-2.0
+osc-lib>=0.1.0 # Apache-2.0
@@ -6 +8 @@ oslo.i18n>=2.1.0 # Apache-2.0
-oslo.utils>=3.5.0 # Apache-2.0
+oslo.utils>=3.15.0 # Apache-2.0
@@ -8 +9,0 @@ pbr>=1.6 # Apache-2.0
-python-keystoneclient!=1.8.0,!=2.1.0,>=1.7.0 # Apache-2.0
@@ -10 +11 @@ python-openstackclient>=2.1.0 # Apache-2.0
-requests!=2.9.0,>=2.8.1 # Apache-2.0
+requests>=2.10.0 # Apache-2.0
diff --git a/test-requirements.txt b/test-requirements.txt
index e51fc36..723ec4e 100644
--- a/test-requirements.txt
+++ b/test-requirements.txt
@@ -6 +6 @@ doc8 # Apache-2.0
-fixtures<2.0,>=1.3.1 # Apache-2.0/BSD
+fixtures>=3.0.0 # Apache-2.0/BSD
@@ -8,2 +8,2 @@ hacking<0.11,>=0.10.0
-mock>=1.2 # BSD
-sphinx!=1.2.0,!=1.3b1,<1.3,>=1.1.2 # BSD
+mock>=2.0 # BSD
+sphinx!=1.3b1,<1.3,>=1.2.1 # BSD
@@ -11 +11 @@ oslosphinx!=3.4.0,>=2.5.0 # Apache-2.0
-reno>=1.6.2 # Apache2
+reno>=1.8.0 # Apache2


OpenStack-announce mailing list
OpenStack-announce@lists.openstack.org
http://lists.openstack.org/cgi-bin/mailman/listinfo/openstack-announce
asked Jul 11, 2016 in openstack-announce by no-reply_at_openstac (33,960 points)   2 16 44
...